Skip to main content
POST
/
v1
/
fields
Create a custom contact field definition
curl --request POST \
  --url https://brew.new/api/v1/fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fieldName": "plan",
  "fieldType": "string"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
default:brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Headers

Idempotency-Key
string

Optional idempotency key for safe retries. Reusing the same key with the same request body returns the original response for 24 hours.

Required string length: 1 - 100

Body

application/json

Custom field name and type.

fieldName
string
required
Minimum string length: 1
fieldType
enum<string>
required
Available options:
string,
number,
date,
bool

Response

The field definition was created or updated.

success
enum<boolean>
required
Available options:
true